Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.slice.jdbc
Class DistributedTemplate<T extends Statement>

    java.lang.Object
      org.apache.openjpa.slice.jdbc.DistributedTemplate<T>

All Implemented Interfaces:
  Iterable<T>, Statement, Wrapper

Direct Known Subclasses:
  DistributedPreparedStatement, DistributedStatement

    public class DistributedTemplate<T extends Statement>

extends Object
implements Statement, Iterable<T>

A template for multiple Statements being executed by multiple connections.

Author:
  Pinaki Poddar

Field Summary
`protected DistributedConnection` | `con`
`protected T` | `master`
`protected List<T>` | `stmts`

Fields inherited from interface java.sql.Statement
`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

Constructor Summary
`DistributedTemplate(DistributedConnection c)`

Method Summary
`void` | `add(T s)`
`void` | `addBatch(String sql)`
`void` | `cancel()`
`void` | `clearBatch()`
`void` | `clearWarnings()`
`void` | `close()`
`void` | `closeOnCompletion()`
`boolean` | `execute(String arg0)`
`boolean` | `execute(String arg0, int arg1)`
`boolean` | `execute(String arg0, int[] arg1)`
`boolean` | `execute(String arg0, String[] arg1)`
`int[]` | `executeBatch()`
`ResultSet` | `executeQuery()`
`ResultSet` | `executeQuery(String arg0)`
`int` | `executeUpdate(String arg0)`
`int` | `executeUpdate(String arg0, int arg1)`
`int` | `executeUpdate(String arg0, int[] arg1)`
`int` | `executeUpdate(String arg0, String[] arg1)`
`Connection` | `getConnection()`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`ResultSet` | `getGeneratedKeys()`
`int` | `getMaxFieldSize()`
`int` | `getMaxRows()`
`boolean` | `getMoreResults()`
`boolean` | `getMoreResults(int arg0)`
`int` | `getQueryTimeout()`
`ResultSet` | `getResultSet()`
`int` | `getResultSetConcurrency()`
`int` | `getResultSetHoldability()`
`int` | `getResultSetType()`
`int` | `getUpdateCount()`
`SQLWarning` | `getWarnings()`
`boolean` | `isClosed()`
`boolean` | `isCloseOnCompletion()`
`boolean` | `isPoolable()`
`boolean` | `isWrapperFor(Class<?> arg0)`
`Iterator<T>` | `iterator()`
`void` | `setCursorName(String name)`
`void` | `setEscapeProcessing(boolean flag)`
`void` | `setFetchDirection(int dir)`
`void` | `setFetchSize(int size)`
`void` | `setMaxFieldSize(int size)`
`void` | `setMaxRows(int n)`
`void` | `setPoolable(boolean arg0)`
`void` | `setQueryTimeout(int n)`
`
`<T> T`
` | `unwrap(Class<T> arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stmts

    protected List<T extends Statement> stmts

### con

    protected final DistributedConnection con

### master

    protected T extends Statement master

Constructor Detail

### DistributedTemplate

    public DistributedTemplate(DistributedConnection c)

Method Detail

### iterator

    public Iterator<T> iterator()

  Specified by:
    `iterator` in interface `Iterable<T extends Statement>`

### add

    public void add(T s)

### addBatch

    public void addBatch(String sql)
                  throws SQLException

  Specified by:
    `addBatch` in interface `Statement`
  Throws:
    `SQLException`

### cancel

    public void cancel()
                throws SQLException

  Specified by:
    `cancel` in interface `Statement`
  Throws:
    `SQLException`

### clearBatch

    public void clearBatch()
                    throws SQLException

  Specified by:
    `clearBatch` in interface `Statement`
  Throws:
    `SQLException`

### clearWarnings

    public void clearWarnings()
                       throws SQLException

  Specified by:
    `clearWarnings` in interface `Statement`
  Throws:
    `SQLException`

### close

    public void close()
               throws SQLException

  Specified by:
    `close` in interface `Statement`
  Throws:
    `SQLException`

### execute

    public boolean execute(String arg0)
                    throws SQLException

  Specified by:
    `execute` in interface `Statement`
  Throws:
    `SQLException`

### execute

    public boolean execute(String arg0,
                           int arg1)
                    throws SQLException

  Specified by:
    `execute` in interface `Statement`
  Throws:
    `SQLException`

### execute

    public boolean execute(String arg0,
                           int[] arg1)
                    throws SQLException

  Specified by:
    `execute` in interface `Statement`
  Throws:
    `SQLException`

### execute

    public boolean execute(String arg0,
                           String[] arg1)
                    throws SQLException

  Specified by:
    `execute` in interface `Statement`
  Throws:
    `SQLException`

### executeBatch

    public int[] executeBatch()
                       throws SQLException

  Specified by:
    `executeBatch` in interface `Statement`
  Throws:
    `SQLException`

### executeQuery

    public ResultSet executeQuery()
                           throws SQLException

  Throws:
    `SQLException`

### executeQuery

    public ResultSet executeQuery(String arg0)
                           throws SQLException

  Specified by:
    `executeQuery` in interface `Statement`
  Throws:
    `SQLException`

### executeUpdate

    public int executeUpdate(String arg0)
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `Statement`
  Throws:
    `SQLException`

### executeUpdate

    public int executeUpdate(String arg0,
                             int arg1)
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `Statement`
  Throws:
    `SQLException`

### executeUpdate

    public int executeUpdate(String arg0,
                             int[] arg1)
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `Statement`
  Throws:
    `SQLException`

### executeUpdate

    public int executeUpdate(String arg0,
                             String[] arg1)
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `Statement`
  Throws:
    `SQLException`

### getConnection

    public Connection getConnection()
                             throws SQLException

  Specified by:
    `getConnection` in interface `Statement`
  Throws:
    `SQLException`

### getFetchDirection

    public int getFetchDirection()
                          throws SQLException

  Specified by:
    `getFetchDirection` in interface `Statement`
  Throws:
    `SQLException`

### getFetchSize

    public int getFetchSize()
                     throws SQLException

  Specified by:
    `getFetchSize` in interface `Statement`
  Throws:
    `SQLException`

### getGeneratedKeys

    public ResultSet getGeneratedKeys()
                               throws SQLException

  Specified by:
    `getGeneratedKeys` in interface `Statement`
  Throws:
    `SQLException`

### getMaxFieldSize

    public int getMaxFieldSize()
                        throws SQLException

  Specified by:
    `getMaxFieldSize` in interface `Statement`
  Throws:
    `SQLException`

### getMaxRows

    public int getMaxRows()
                   throws SQLException

  Specified by:
    `getMaxRows` in interface `Statement`
  Throws:
    `SQLException`

### getMoreResults

    public boolean getMoreResults()
                           throws SQLException

  Specified by:
    `getMoreResults` in interface `Statement`
  Throws:
    `SQLException`

### getMoreResults

    public boolean getMoreResults(int arg0)
                           throws SQLException

  Specified by:
    `getMoreResults` in interface `Statement`
  Throws:
    `SQLException`

### getQueryTimeout

    public int getQueryTimeout()
                        throws SQLException

  Specified by:
    `getQueryTimeout` in interface `Statement`
  Throws:
    `SQLException`

### getResultSet

    public ResultSet getResultSet()
                           throws SQLException

  Specified by:
    `getResultSet` in interface `Statement`
  Throws:
    `SQLException`

### getResultSetConcurrency

    public int getResultSetConcurrency()
                                throws SQLException

  Specified by:
    `getResultSetConcurrency` in interface `Statement`
  Throws:
    `SQLException`

### getResultSetHoldability

    public int getResultSetHoldability()
                                throws SQLException

  Specified by:
    `getResultSetHoldability` in interface `Statement`
  Throws:
    `SQLException`

### getResultSetType

    public int getResultSetType()
                         throws SQLException

  Specified by:
    `getResultSetType` in interface `Statement`
  Throws:
    `SQLException`

### getUpdateCount

    public int getUpdateCount()
                       throws SQLException

  Specified by:
    `getUpdateCount` in interface `Statement`
  Throws:
    `SQLException`

### getWarnings

    public SQLWarning getWarnings()
                           throws SQLException

  Specified by:
    `getWarnings` in interface `Statement`
  Throws:
    `SQLException`

### setCursorName

    public void setCursorName(String name)
                       throws SQLException

  Specified by:
    `setCursorName` in interface `Statement`
  Throws:
    `SQLException`

### setEscapeProcessing

    public void setEscapeProcessing(boolean flag)
                             throws SQLException

  Specified by:
    `setEscapeProcessing` in interface `Statement`
  Throws:
    `SQLException`

### setFetchDirection

    public void setFetchDirection(int dir)
                           throws SQLException

  Specified by:
    `setFetchDirection` in interface `Statement`
  Throws:
    `SQLException`

### setFetchSize

    public void setFetchSize(int size)
                      throws SQLException

  Specified by:
    `setFetchSize` in interface `Statement`
  Throws:
    `SQLException`

### setMaxFieldSize

    public void setMaxFieldSize(int size)
                         throws SQLException

  Specified by:
    `setMaxFieldSize` in interface `Statement`
  Throws:
    `SQLException`

### setMaxRows

    public void setMaxRows(int n)
                    throws SQLException

  Specified by:
    `setMaxRows` in interface `Statement`
  Throws:
    `SQLException`

### setQueryTimeout

    public void setQueryTimeout(int n)
                         throws SQLException

  Specified by:
    `setQueryTimeout` in interface `Statement`
  Throws:
    `SQLException`

### isWrapperFor

    public boolean isWrapperFor(Class<?> arg0)
                         throws SQLException

  Specified by:
    `isWrapperFor` in interface `Wrapper`
  Throws:
    `SQLException`

### unwrap

    public <T> T unwrap(Class<T> arg0)
             throws SQLException

  Specified by:
    `unwrap` in interface `Wrapper`
  Throws:
    `SQLException`

### isClosed

    public boolean isClosed()
                     throws SQLException

  Specified by:
    `isClosed` in interface `Statement`
  Throws:
    `SQLException`

### isPoolable

    public boolean isPoolable()
                       throws SQLException

  Specified by:
    `isPoolable` in interface `Statement`
  Throws:
    `SQLException`

### setPoolable

    public void setPoolable(boolean arg0)
                     throws SQLException

  Specified by:
    `setPoolable` in interface `Statement`
  Throws:
    `SQLException`

### isCloseOnCompletion

    public boolean isCloseOnCompletion()
                                throws SQLException

  Throws:
    `SQLException`

### closeOnCompletion

    public void closeOnCompletion()
                           throws SQLException

  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.